Bug 549429 - nm-applet disapear from notification area
nm-applet disapear from notification area
Status: CLOSED DUPLICATE of bug 499183
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
12
All Linux
high Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On: 499183
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-21 12:10 EST by Eric Tanguy
Modified: 2013-02-21 20:36 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-08 19:33:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Tanguy 2009-12-21 12:10:24 EST
Description of problem:
I don't since when but the nm-applet disappear from the notification area. When i try to launch it from cli : 
$ nm-applet

** (nm-applet:2726): WARNING **: <WARN>  request_name(): Could not acquire the NetworkManagerUserSettings service.
  Error: (9) Connection ":1.75" is not allowed to own the service "org.freedesktop.NetworkManagerUserSettings" due to security policies in the configuration file


Version-Release number of selected component (if applicable):

$ rpm -qa | grep Network
NetworkManager-0.7.997-2.git20091214.fc12.i686
NetworkManager-vpnc-0.7.996-4.git20090921.fc12.i686
NetworkManager-gnome-0.7.997-2.git20091214.fc12.i686
NetworkManager-pptp-0.7.996-4.git20090921.fc12.i686
NetworkManager-glib-0.7.997-2.git20091214.fc12.i686
NetworkManager-openvpn-0.7.996-4.git20090923.fc12.i686
How reproducible:


Steps to Reproduce:
1. start fedora
2. don't see nm-applet in notification area
3. can't change wlan connection
  
Actual results:


Expected results:


Additional info:
Comment 1 Eric Tanguy 2009-12-21 12:40:27 EST
if i launch nm-applet from cli as root all works fine.
Comment 2 Ahmed Fasih 2009-12-22 07:58:00 EST
This began for me (F11) upon rebooting after the following yum updates were installed:

Dec 20 09:52:06 Updated: gnome-python2-extras-2.25.3-10.fc11.x86_64
Dec 20 09:52:13 Updated: glibc-2.10.2-1.x86_64
Dec 20 09:52:14 Updated: bash-4.0-9.fc11.x86_64
Dec 20 09:52:17 Updated: coreutils-7.2-5.fc11.x86_64
Dec 20 09:52:17 Updated: audit-libs-1.7.17-1.fc11.x86_64
Dec 20 09:52:24 Updated: xulrunner-1.9.1.6-1.fc11.x86_64
Dec 20 09:52:31 Updated: glibc-common-2.10.2-1.x86_64
Dec 20 09:52:32 Updated: postgresql-libs-8.3.9-1.fc11.x86_64
Dec 20 09:52:37 Updated: galeon-2.0.7-19.fc11.x86_64
Dec 20 09:52:44 Updated: yelp-2.26.0-10.fc11.x86_64
Dec 20 09:52:45 Updated: audit-1.7.17-1.fc11.x86_64
Dec 20 09:52:46 Updated: nscd-2.10.2-1.x86_64
Dec 20 09:52:46 Updated: audit-libs-python-1.7.17-1.fc11.x86_64
Dec 20 09:52:47 Updated: module-init-tools-3.7-10.fc11.x86_64
Dec 20 09:52:50 Updated: freenx-server-0.7.3-17.fc11.x86_64
Dec 20 09:52:51 Updated: gnome-python2-libegg-2.25.3-10.fc11.x86_64
Dec 20 09:52:51 Updated: gnome-python2-gtkhtml2-2.25.3-10.fc11.x86_64
Dec 20 09:53:02 Updated: selinux-policy-3.6.12-92.fc11.noarch
Dec 20 09:53:04 Updated: glibc-headers-2.10.2-1.x86_64
Dec 20 09:53:05 Updated: glibc-devel-2.10.2-1.x86_64
Dec 20 09:53:19 Updated: selinux-policy-targeted-3.6.12-92.fc11.noarch
Dec 20 09:53:21 Updated: firefox-3.5.6-1.fc11.x86_64
Dec 20 09:53:26 Updated: google-chrome-beta-4.0.249.43-34537.x86_64
Dec 20 09:53:29 Updated: glibc-2.10.2-1.i686
Dec 20 09:53:30 Updated: libcurl-7.19.7-3.fc11.i586
Dec 20 09:53:30 Updated: audit-libs-1.7.17-1.fc11.i586

Confirmed that su can run nm-applet. I have an ethernet port that's not connected, and a WUSB54G Linksys wireless USB device, and upon starting nm-applet as su, it does not automatically search for wireless networks, but does connect to unsecured networks when I select one from the list of networks available. It does *not* have the saved WEP passphrases that I had configured as my normal user.

(Confirmed with F12 user axelm7 on #fedora that su-run nm-applet launches, and confirmed that audit, audit-libs, and audit-libs-python packages had been upgraded prior to breakdown.)
Comment 3 Ahmed Fasih 2009-12-22 08:08:59 EST
Relaxing SELinux Current Enforcing Mode to "Permissive" does not change this behavior: normal user still cannot start nm-applet, giving error specified by op.
Comment 4 fedora-bugzilla 2009-12-22 08:14:06 EST
Exact same behaviour on my Lenovo T61 running F12 after doing this yum update: 

Dec 22 06:50:59 Updated: bash-4.0.35-2.fc12.x86_64
Dec 22 06:51:03 Updated: glib2-2.22.3-1.fc12.x86_64
Dec 22 06:51:04 Updated: freetype-freeworld-2.3.11-1.fc12.x86_64
Dec 22 06:51:05 Updated: krb5-libs-1.7-10.fc12.x86_64
Dec 22 06:51:05 Updated: nss-util-3.12.5-1.fc12.1.x86_64
Dec 22 06:51:06 Updated: libuuid-2.16.2-5.fc12.x86_64
Dec 22 06:51:06 Updated: expat-2.0.1-8.fc12.x86_64
Dec 22 06:51:07 Updated: libXext-1.1-2.fc12.x86_64
Dec 22 06:51:08 Updated: sqlite-3.6.20-1.fc12.x86_64
Dec 22 06:51:11 Updated: glib2-devel-2.22.3-1.fc12.x86_64
Dec 22 06:51:11 Updated: audit-libs-2.0.4-1.fc12.x86_64
Dec 22 06:51:12 Updated: ibus-libs-1.2.0.20091204-2.fc12.x86_64
Dec 22 06:51:13 Updated: 2:qemu-common-0.11.0-12.fc12.x86_64
Dec 22 06:51:14 Updated: gpm-libs-1.20.6-9.fc12.x86_64
Dec 22 06:51:14 Updated: 1:NetworkManager-glib-0.7.996-7.git20091113.fc12.x86_64
Dec 22 06:51:15 Updated: bluez-libs-4.58-1.fc12.x86_64
Dec 22 06:51:15 Updated: libattr-2.4.44-1.fc12.x86_64
Dec 22 06:51:16 Updated: libblkid-2.16.2-5.fc12.x86_64
Dec 22 06:51:16 Updated: freetype-2.3.11-3.fc12.x86_64
Dec 22 06:51:17 Updated: DeviceKit-power-013-1.fc12.x86_64
Dec 22 06:51:18 Updated: libxcb-1.4-2.fc12.x86_64
Dec 22 06:51:19 Updated: hunspell-1.2.8-13.fc12.x86_64
Dec 22 06:51:20 Updated: geoclue-0.11.1.1-0.10.20091026git73b6729.fc12.x86_64
Dec 22 06:51:20 Updated: libsndfile-1.0.20-3.fc12.x86_64
Dec 22 06:51:21 Updated: cryptsetup-luks-libs-1.1.0-0.4.fc12.x86_64
Dec 22 06:51:22 Updated: mysql-libs-5.1.41-2.fc12.x86_64
Dec 22 06:51:24 Updated: gettext-0.17-16.fc12.x86_64
Dec 22 06:51:25 Updated: lockdev-1.0.1-19.fc12.x86_64
Dec 22 06:51:25 Updated: paps-libs-0.6.8-12.fc12.x86_64
Dec 22 06:51:28 Updated: anthy-9100h-10.fc12.x86_64
Dec 22 06:51:28 Updated: pixman-0.16.4-2.fc12.x86_64
Dec 22 06:51:29 Updated: gettext-libs-0.17-16.fc12.x86_64
Dec 22 06:51:30 Updated: 1:net-snmp-libs-5.4.2.1-19.fc12.x86_64
Dec 22 06:51:30 Updated: hunspell-devel-1.2.8-13.fc12.x86_64
Dec 22 06:51:31 Updated: audit-libs-python-2.0.4-1.fc12.x86_64
Dec 22 06:51:32 Updated: krb5-devel-1.7-10.fc12.x86_64
Dec 22 06:51:33 Updated: ModemManager-0.2-4.20091105.fc12.x86_64
Dec 22 06:51:35 Updated: 2:tar-1.22-10.fc12.x86_64
Dec 22 06:51:37 Updated: system-config-printer-libs-1.1.15-6.fc12.x86_64
Dec 22 06:51:38 Updated: 1:NetworkManager-0.7.996-7.git20091113.fc12.x86_64
Dec 22 06:51:40 Updated: xine-lib-1.1.16.3-5.fc12.x86_64
Dec 22 06:51:41 Updated: gpm-1.20.6-9.fc12.x86_64
Dec 22 06:51:41 Updated: 2:qemu-system-arm-0.11.0-12.fc12.x86_64
Dec 22 06:51:42 Updated: 2:qemu-system-sh4-0.11.0-12.fc12.x86_64
Dec 22 06:51:43 Updated: 2:qemu-system-ppc-0.11.0-12.fc12.x86_64
Dec 22 06:51:44 Updated: 2:qemu-system-sparc-0.11.0-12.fc12.x86_64
Dec 22 06:51:44 Updated: 2:qemu-system-cris-0.11.0-12.fc12.x86_64
Dec 22 06:51:46 Updated: 2:qemu-user-0.11.0-12.fc12.x86_64
Dec 22 06:51:47 Updated: 2:qemu-system-m68k-0.11.0-12.fc12.x86_64
Dec 22 06:51:48 Updated: 2:qemu-system-mips-0.11.0-12.fc12.x86_64
Dec 22 06:51:48 Updated: httpd-tools-2.2.14-1.fc12.x86_64
Dec 22 06:51:53 Updated: wireshark-1.2.4-1.fc12.x86_64
Dec 22 06:51:54 Updated: gmime-2.4.11-1.fc12.x86_64
Dec 22 06:51:58 Updated: 2:vim-common-7.2.315-1.fc12.x86_64
Dec 22 06:51:59 Updated: ntpdate-4.2.4p8-1.fc12.x86_64
Dec 22 06:52:00 Updated: lftp-4.0.4-1.fc12.x86_64
Dec 22 06:52:02 Updated: libicu-4.2.1-7.fc12.x86_64
Dec 22 06:52:02 Updated: mpfr-2.4.1-5.fc12.x86_64
Dec 22 06:52:03 Updated: linuxwacom-0.8.2.2-17.fc12.x86_64
Dec 22 06:52:04 Updated: libnetfilter_conntrack-0.0.100-1.fc12.x86_64
Dec 22 06:52:04 Installed: compat-readline5-5.2-17.fc12.x86_64
Dec 22 06:52:07 Installed: ruby-libs-1.8.6.383-4.fc12.x86_64
Dec 22 06:52:07 Updated: 2:qemu-img-0.11.0-12.fc12.x86_64
Dec 22 06:52:09 Updated: 2:vim-enhanced-7.2.315-1.fc12.x86_64
Dec 22 06:52:10 Updated: iptstate-2.2.2-4.fc12.x86_64
Dec 22 06:52:11 Updated: ntp-4.2.4p8-1.fc12.x86_64
Dec 22 06:52:11 Updated: system-config-printer-udev-1.1.15-6.fc12.x86_64
Dec 22 06:52:12 Updated: 1:net-snmp-5.4.2.1-19.fc12.x86_64
Dec 22 06:52:13 Updated: gettext-devel-0.17-16.fc12.x86_64
Dec 22 06:52:14 Updated: cryptsetup-luks-1.1.0-0.4.fc12.x86_64
Dec 22 06:52:14 Updated: attr-2.4.44-1.fc12.x86_64
Dec 22 06:52:15 Updated: bluez-cups-4.58-1.fc12.x86_64
Dec 22 06:52:16 Updated: 1:mc-4.7.0-0.5.pre4.fc12.x86_64
Dec 22 06:52:18 Updated: PyQt4-4.6.2-5.fc12.x86_64
Dec 22 06:52:19 Updated: gdb-7.0-9.fc12.x86_64
Dec 22 06:52:20 Updated: telepathy-gabble-0.8.8-2.fc12.x86_64
Dec 22 06:52:21 Updated: 1:telepathy-mission-control-5.2.6-1.fc12.x86_64
Dec 22 06:52:21 Updated: cups-pk-helper-0.0.4-9.fc12.x86_64
Dec 22 06:52:22 Updated: less-436-4.fc12.x86_64
Dec 22 06:52:23 Updated: wget-1.12-2.fc12.x86_64
Dec 22 06:52:24 Updated: cscope-15.6-8.fc12.x86_64
Dec 22 06:52:25 Updated: nano-2.0.9-4.fc12.x86_64
Dec 22 06:52:25 Updated: crda-1.1.0_2009.11.25-2.fc12.x86_64
Dec 22 06:52:26 Updated: 2:ntfs-3g-2009.11.14-2.fc12.x86_64
Dec 22 06:52:27 Updated: 2:nmap-5.00-4.fc12.x86_64
Dec 22 06:52:28 Updated: rsync-3.0.6-4.fc12.x86_64
Dec 22 06:52:29 Updated: xorg-x11-drv-dummy-0.3.3-1.fc12.x86_64
Dec 22 06:52:29 Updated: 2:vim-minimal-7.2.315-1.fc12.x86_64
Dec 22 06:52:30 Updated: xorg-x11-drv-mouse-1.5.0-1.fc12.x86_64
Dec 22 06:52:31 Updated: freetype-devel-2.3.11-3.fc12.x86_64
Dec 22 06:52:31 Updated: sqlite-devel-3.6.20-1.fc12.x86_64
Dec 22 06:52:32 Updated: libXext-devel-1.1-2.fc12.x86_64
Dec 22 06:52:32 Updated: fontpackages-filesystem-1.41-1.fc12.noarch
Dec 22 06:52:33 Updated: libuuid-devel-2.16.2-5.fc12.x86_64
Dec 22 06:52:34 Updated: gnome-python2-extras-2.25.3-14.fc12.x86_64
Dec 22 06:52:34 Updated: bochs-bios-2.3.8-0.9.git04387139e3b.fc12.noarch
Dec 22 06:52:35 Updated: gnome-python2-desktop-2.28.0-2.fc12.x86_64
Dec 22 06:52:37 Updated: kernel-headers-2.6.31.6-166.fc12.x86_64
Dec 22 06:52:38 Updated: 2:qemu-system-x86-0.11.0-12.fc12.x86_64
Dec 22 06:52:38 Updated: vlgothic-fonts-common-20091202-1.fc12.noarch
Dec 22 06:52:39 Updated: libxcb-devel-1.4-2.fc12.x86_64
Dec 22 06:52:41 Updated: evolution-data-server-doc-2.28.2-1.fc12.noarch
Dec 22 06:52:41 Updated: constantine-backgrounds-single-12.1.1-2.fc12.noarch
Dec 22 06:52:42 Installed: gnome-keyring-sharp-1.0.1-0.5.133722svn.fc12.x86_64
Dec 22 06:52:44 Updated: kernel-firmware-2.6.31.6-166.fc12.noarch
Dec 22 06:52:45 Updated: constantine-backgrounds-12.1.1-2.fc12.noarch
Dec 22 06:52:49 Updated: vlgothic-fonts-20091202-1.fc12.noarch
Dec 22 06:52:49 Updated: 2:qemu-0.11.0-12.fc12.x86_64
Dec 22 06:52:51 Updated: lohit-tamil-fonts-2.4.5-1.fc12.noarch
Dec 22 06:52:52 Updated: gpm-devel-1.20.6-9.fc12.x86_64
Dec 22 06:52:53 Updated: sos-1.8-18.fc12.noarch
Dec 22 06:52:54 Updated: pixman-devel-0.16.4-2.fc12.x86_64
Dec 22 06:52:54 Updated: lockdev-devel-1.0.1-19.fc12.x86_64
Dec 22 06:52:55 Updated: geoclue-devel-0.11.1.1-0.10.20091026git73b6729.fc12.x86_64
Dec 22 06:52:55 Updated: libattr-devel-2.4.44-1.fc12.x86_64
Dec 22 06:52:56 Updated: expat-devel-2.0.1-8.fc12.x86_64
Dec 22 06:52:56 Updated: nss-util-devel-3.12.5-1.fc12.1.x86_64
Dec 22 06:53:10 Installed: kernel-devel-2.6.31.6-166.fc12.x86_64
Dec 22 06:53:11 Updated: flash-plugin-10.0.42.34-release.i386
Dec 22 06:53:12 Updated: perf-2.6.31.6-166.fc12.noarch
Dec 22 06:53:13 Updated: xkeyboard-config-1.7-1.fc12.noarch
Dec 22 06:53:14 Updated: python-urlgrabber-3.9.1-4.fc12.noarch
Dec 22 06:53:15 Updated: setroubleshoot-plugins-2.1.35-1.fc12.noarch
Dec 22 06:53:19 Updated: coreutils-7.6-8.fc12.x86_64
Dec 22 06:53:26 Updated: fontconfig-2.8.0-1.fc12.x86_64
Dec 22 06:53:27 Updated: pango-1.26.1-1.fc12.x86_64
Dec 22 06:53:29 Updated: gtk2-2.18.5-3.fc12.x86_64
Dec 22 06:53:35 Updated: gnome-keyring-2.28.2-1.fc12.x86_64
Dec 22 06:53:35 Updated: openldap-2.4.19-1.fc12.x86_64
Dec 22 06:53:37 Updated: gvfs-1.4.3-1.fc12.x86_64
Dec 22 06:53:38 Updated: libcurl-7.19.7-2.fc12.x86_64
Dec 22 06:53:39 Updated: nautilus-extensions-2.28.2-2.fc12.x86_64
Dec 22 06:53:41 Updated: evolution-data-server-2.28.2-1.fc12.x86_64
Dec 22 06:53:48 Updated: ibus-1.2.0.20091204-2.fc12.x86_64
Dec 22 06:53:49 Updated: gssdp-0.7.1-1.fc12.x86_64
Dec 22 06:53:50 Updated: brasero-libs-2.28.2-4.fc12.x86_64
Dec 22 06:53:51 Updated: util-linux-ng-2.16.2-5.fc12.x86_64
Dec 22 06:53:52 Updated: nspluginwrapper-1.3.0-10.fc12.x86_64
Dec 22 06:53:56 Updated: xulrunner-1.9.1.6-1.fc12.x86_64
Dec 22 06:53:57 Updated: gupnp-0.13.2-1.fc12.x86_64
Dec 22 06:53:58 Updated: php-common-5.3.1-1.fc12.x86_64
Dec 22 06:53:59 Updated: poppler-0.12.2-1.fc12.x86_64
Dec 22 06:53:59 Updated: gnome-python2-gnomekeyring-2.28.0-2.fc12.x86_64
Dec 22 06:54:01 Updated: gtkhtml3-3.28.2-1.fc12.x86_64
Dec 22 06:54:01 Updated: imsettings-libs-0.107.4-4.fc12.x86_64
Dec 22 06:54:08 Updated: evolution-2.28.2-1.fc12.x86_64
Dec 22 06:54:09 Updated: php-cli-5.3.1-1.fc12.x86_64
Dec 22 06:54:09 Updated: php-pdo-5.3.1-1.fc12.x86_64
Dec 22 06:54:11 Updated: yelp-2.28.1-1.fc12.x86_64
Dec 22 06:54:12 Updated: gvfs-fuse-1.4.3-1.fc12.x86_64
Dec 22 06:54:12 Updated: gnome-keyring-pam-2.28.2-1.fc12.x86_64
Dec 22 06:54:17 Updated: 1:gdm-2.28.1-25.fc12.x86_64
Dec 22 06:54:22 Updated: gstreamer-plugins-good-0.10.17-3.fc12.x86_64
Dec 22 06:54:22 Updated: gnome-python2-gtkhtml2-2.25.3-14.fc12.x86_64
Dec 22 06:54:24 Updated: rsyslog-4.4.2-1.fc12.x86_64
Dec 22 06:54:26 Updated: initscripts-9.02.1-1.x86_64
Dec 22 06:54:30 Updated: httpd-2.2.14-1.fc12.x86_64
Dec 22 06:54:30 Updated: audit-2.0.4-1.fc12.x86_64
Dec 22 06:54:32 Updated: setroubleshoot-server-2.2.50-1.fc12.x86_64
Dec 22 06:54:34 Updated: libpurple-2.6.4-2.fc12.x86_64
Dec 22 06:54:35 Updated: vte-0.22.5-1.fc12.x86_64
Dec 22 06:54:42 Updated: totem-2.28.4-1.fc12.x86_64
Dec 22 06:54:44 Updated: f-spot-0.6.1.5-1.fc12.x86_64
Dec 22 06:54:45 Updated: poppler-glib-0.12.2-1.fc12.x86_64
Dec 22 06:54:48 Updated: brasero-2.28.2-4.fc12.x86_64
Dec 22 06:54:49 Updated: postgresql-libs-8.4.2-1.fc12.x86_64
Dec 22 06:54:53 Updated: libgnomekbd-2.28.0-4.fc12.x86_64
Dec 22 06:54:54 Updated: ibus-gtk-1.2.0.20091204-2.fc12.x86_64
Dec 22 06:54:56 Installed: ImageMagick-6.5.4.7-3.fc12.x86_64
Dec 22 06:54:57 Installed: zbar-0.10-1.fc12.x86_64
Dec 22 06:54:58 Updated: gstreamer-plugins-bad-0.10.17-2.fc12.x86_64
Dec 22 06:54:59 Updated: libfprint-0.1.0-14.pre2.fc12.x86_64
Dec 22 06:55:02 Updated: planner-0.14.4-12.fc12.x86_64
Dec 22 06:55:05 Updated: subversion-1.6.6-1.fc12.x86_64
Dec 22 06:55:06 Updated: coreutils-libs-7.6-8.fc12.x86_64
Dec 22 06:55:06 Updated: brasero-nautilus-2.28.2-4.fc12.x86_64
Dec 22 06:55:07 Updated: totem-nautilus-2.28.4-1.fc12.x86_64
Dec 22 06:55:08 Updated: setroubleshoot-2.2.50-1.fc12.x86_64
Dec 22 06:55:09 Updated: php-5.3.1-1.fc12.x86_64
Dec 22 06:55:10 Updated: 1:mod_ssl-2.2.14-1.fc12.x86_64
Dec 22 06:55:10 Updated: mdadm-3.0.3-2.fc12.x86_64
Dec 22 06:55:11 Updated: bluez-4.58-1.fc12.x86_64
Dec 22 06:55:12 Updated: 1:smartmontools-5.38-23.fc12.x86_64
Dec 22 06:55:13 Updated: 1:gdm-plugin-fingerprint-2.28.1-25.fc12.x86_64
Dec 22 06:55:13 Updated: 1:gdm-user-switch-applet-2.28.1-25.fc12.x86_64
Dec 22 06:55:14 Updated: php-mysql-5.3.1-1.fc12.x86_64
Dec 22 06:55:18 Updated: imsettings-0.107.4-4.fc12.x86_64
Dec 22 06:55:19 Updated: poppler-utils-0.12.2-1.fc12.x86_64
Dec 22 06:55:19 Updated: php-ldap-5.3.1-1.fc12.x86_64
Dec 22 06:55:24 Updated: nautilus-sendto-2.28.2-1.fc12.x86_64
Dec 22 06:55:26 Updated: 1:nfs-utils-1.2.1-4.fc12.x86_64
Dec 22 06:55:31 Updated: sound-juicer-2.28.1-1.fc12.x86_64
Dec 22 06:55:32 Updated: ibus-anthy-1.2.0.20091127-1.fc12.x86_64
Dec 22 06:55:33 Updated: ibus-rawcode-1.2.0.20090703-4.fc12.x86_64
Dec 22 06:55:33 Updated: ibus-m17n-1.2.0.20091120-1.fc12.x86_64
Dec 22 06:55:41 Updated: nautilus-2.28.2-2.fc12.x86_64
Dec 22 06:55:41 Updated: curl-7.19.7-2.fc12.x86_64
Dec 22 06:55:42 Updated: gvfs-smb-1.4.3-1.fc12.x86_64
Dec 22 06:55:43 Updated: gvfs-obexftp-1.4.3-1.fc12.x86_64
Dec 22 06:55:43 Updated: gvfs-archive-1.4.3-1.fc12.x86_64
Dec 22 06:55:44 Updated: gvfs-gphoto2-1.4.3-1.fc12.x86_64
Dec 22 06:55:47 Updated: 7:squid-3.1.0.15-2.fc12.x86_64
Dec 22 06:55:52 Updated: 1:NetworkManager-gnome-0.7.996-7.git20091113.fc12.x86_64
Dec 22 06:55:58 Updated: gnome-power-manager-2.28.2-1.fc12.x86_64
Dec 22 06:55:59 Updated: gnome-python2-libegg-2.25.3-14.fc12.x86_64
Dec 22 06:55:59 Updated: gtk2-immodule-xim-2.18.5-3.fc12.x86_64
Dec 22 06:56:00 Updated: gnome-python2-libwnck-2.28.0-2.fc12.x86_64
Dec 22 06:56:05 Updated: gnote-0.6.3-1.fc12.x86_64
Dec 22 06:56:06 Updated: gnome-python2-applet-2.28.0-2.fc12.x86_64
Dec 22 06:56:06 Updated: totem-mozplugin-2.28.4-1.fc12.x86_64
Dec 22 06:56:07 Updated: paps-0.6.8-12.fc12.x86_64
Dec 22 06:56:07 Updated: 2:qemu-kvm-tools-0.11.0-12.fc12.x86_64
Dec 22 06:56:08 Updated: krb5-workstation-1.7-10.fc12.x86_64
Dec 22 06:56:09 Updated: elinks-0.12-0.20.pre5.fc12.x86_64
Dec 22 06:56:11 Updated: freenx-server-0.7.3-17.fc12.x86_64
Dec 22 06:56:11 Updated: gssdp-devel-0.7.1-1.fc12.x86_64
Dec 22 06:56:13 Updated: fontconfig-devel-2.8.0-1.fc12.x86_64
Dec 22 06:56:15 Updated: pango-devel-1.26.1-1.fc12.x86_64
Dec 22 06:56:18 Updated: gtk2-devel-2.18.5-3.fc12.x86_64
Dec 22 06:56:19 Updated: gnome-keyring-devel-2.28.2-1.fc12.x86_64
Dec 22 06:56:20 Updated: evolution-data-server-devel-2.28.2-1.fc12.x86_64
Dec 22 06:56:33 Updated: selinux-policy-3.6.32-56.fc12.noarch
Dec 22 06:56:40 Updated: xulrunner-devel-1.9.1.6-1.fc12.x86_64
Dec 22 06:56:57 Updated: selinux-policy-targeted-3.6.32-56.fc12.noarch
Dec 22 06:56:58 Updated: gupnp-devel-0.13.2-1.fc12.x86_64
Dec 22 06:56:59 Updated: httpd-manual-2.2.14-1.fc12.noarch
Dec 22 06:57:02 Updated: evolution-help-2.28.2-1.fc12.noarch
Dec 22 06:57:04 Updated: system-config-printer-1.1.15-6.fc12.x86_64
Dec 22 06:57:08 Updated: firefox-3.5.6-1.fc12.x86_64
Dec 22 06:57:09 Updated: libcurl-devel-7.19.7-2.fc12.x86_64
Dec 22 06:57:10 Updated: openldap-devel-2.4.19-1.fc12.x86_64
Dec 22 06:57:14 Updated: gtk2-devel-docs-2.18.5-3.fc12.x86_64
Dec 22 06:57:52 Installed: kernel-2.6.31.6-166.fc12.x86_64
Dec 22 06:57:52 Updated: libdrm-2.4.15-6.fc12.x86_64
Dec 22 06:57:55 Updated: sysprof-1.1.4-1.fc12.x86_64
Dec 22 06:57:56 Installed: kmod-VirtualBox-OSE-2.6.31.6-166.fc12.x86_64-3.0.10-2.fc12.3.x86_64
Dec 22 06:57:57 Updated: libdrm-devel-2.4.15-6.fc12.x86_64
Dec 22 06:57:57 Updated: kmod-VirtualBox-OSE-3.0.10-2.fc12.3.x86_64

I know that's a huge update.
Comment 5 Eric Tanguy 2009-12-26 11:14:31 EST
Downgrading NetworkManager don't solve the problem. I pass the severity to high because it makes the network difficult to modify mainly with wireless and because we have no answer from the maintainer
Comment 6 Eric Tanguy 2009-12-26 12:45:42 EST
$ nm-tool 

NetworkManager Tool

State: connected


** (process:3537): WARNING **: error: failed to read connections from org.freedesktop.NetworkManagerUserSettings:
    The name org.freedesktop.NetworkManagerUserSettings was not provided by any .service files
- Device: eth0  [System eth0] --------------------------------------------------
  Type:              Wired
  Driver:            forcedeth
  State:             connected
  Default:           yes
  HW Address:        00:0E:A6:68:69:6A

  Capabilities:
    Carrier Detect:  yes
    Speed:           100 Mb/s

  Wired Properties
    Carrier:         on

  IPv4 Settings:
    Address:         192.168.1.10
    Prefix:          24 (255.255.255.0)
    Gateway:         192.168.1.1

    DNS:             192.168.1.1


- Device: wlan0 ----------------------------------------------------------------
  Type:              802.11 WiFi
  Driver:            rt2500pci
  State:             disconnected
  Default:           no
  HW Address:        00:0C:F6:13:DE:03

  Capabilities:

  Wireless Properties
    WEP Encryption:  yes
    WPA Encryption:  yes
    WPA2 Encryption: yes
Comment 7 Bruno Kant 2010-01-03 17:58:21 EST
I noticed this in FC11, a few days ago, probably like Eric Tanguy. I now installed twice FC12 and noticed twice again the same issue on FC12: the nm-applet disappears from the panel.

I noticed also issues with the bluetooth panel interface. From what I have investigated, the issue seems related to dbus access control and SELinux permissions. I stopped SELinux and recovered an almost correct behaviour for both bluetooth and nm-applet or Network Manager (this may need further verifications).

For an initial FC12 installation with an immediate FC12 update over the network, done during this week-end, bluetooth and nm-applet could work fine, at the initial user login. But after the next system startups (init 6), nm-applet isn't anymore on the FC12 panel and bluetooth fails to start (canot be enabled). A root shell must then be opened to start nm-applet.

I finally stopped SELinux to recover an almost correct applets behaviour, after system restart. I stopped SELinux as I have seen several events in my /var/log/message file, they follow.


dbus: Rejected send message, 1 matched rules; type="method_call", sender=":1.29" (uid=42 pid=1905 comm="gnome-power-manager)

dbus: Rejected send message, 2 matched rules; type="method_call", sender=":1.44" (uid=500 pid=2080 comm="/usr/bin/pulseaudio) interface="org.bluez.Manager" member="ListAdapters" error name="(unset)" requested_reply=0 destination="org.bluez" (uid=0 pid=1382 comm="/usr/sbin/bluetoothd))

pulseaudio[2080]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.DBus.Error.AccessDenied

setroubleshoot: SELinux is preventing /usr/sbin/NetworkManager "create" access on NetworkManager.state.704Y5U. For complete SELinux messages. run sealert -l 989cde31-3731-43f0-907d-2182a1115f8e

Source Context                system_u:system_r:NetworkManager_t:s0
Target Context                system_u:object_r:var_lib_t:s0
Target Objects                NetworkManager.state.704Y5U [ file ]
Source                        NetworkManager
Source Path                   /usr/sbin/NetworkManager
Port                          <Unknown>
Host                          ...
Source RPM Packages           NetworkManager-0.7.997-2.git20091214.fc12
Target RPM Packages
Policy RPM                    selinux-policy-3.6.32-59.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall

...

node=... type=AVC msg=audit(1262550928.130:12026): avc:  denied  { create } for  pid=1156 comm="NetworkManager" name="NetworkManager.state.704Y5U" scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:var_lib_t:s0 tclass=file

node=... type=SYSCALL msg=audit(1262550928.130:12026): arch=c000003e syscall=2 success=no exit=-13 a0=115c010 a1=c2 a2=1b6 a3=4d6b726f7774654e items=0 ppid=1155 pid=1156 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="NetworkManager" exe="/usr/sbin/NetworkManager" subj=system_u:system_r:NetworkManager_t:s0 key=(null)
Comment 8 Xtian Simon 2010-01-06 17:23:40 EST
Having similar problems F11. Originally tried to start the applet from my user account and got the above error. I'm an intermediate Linux user and believed the nm-applet crash related to the preceding event of unintentionally editing the groups file in vi (oops) when setting up NFS. (I was editing GID and UIDs to match with another machine). This caused a strange error with Menu > System > Users and Groups that I've since resolved with # grpck, and # pwck. However the applet remains missing.

I thought to add to the discussion because I'm experiencing two differences:

1) I've launched x windows from the root prompt and logged in as root I do have the applet. Only when I'm logged in under the main user I get the error. 

2) When logged into X as the Main User and I launch nm-applet at the terminal logged in as root I get a different error:
--
# /usr/bin/nm-applet
libnotify-Message: Unable to get session bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

(nm-applet:2634): libnotify-CRITICAL **: notify_get_server_caps: assertion `proxy != NULL' failed

** (nm-applet:2634): WARNING **: <WARN>  bus_init(): Could not get the session bus.  Make sure the message bus daemon is running!  Message: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

GConf Error: Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://projects.gnome.org/gconf/ for information. (Details -  1: Failed to get connection to session: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.)
[repeats]

** (nm-applet:2634): CRITICAL **: dbus_g_proxy_connect_signal: assertion `DBUS_IS_G_PROXY (proxy)' failed
[repeats]
--
Comment 9 Xtian Simon 2010-01-08 15:28:47 EST
Update--Inexplicablly the nm-applet reappeared. The machine froze and forced me to unplug it. (I only connect to the internet intermittently and had done no updates since posting the above problem description). Yet, today when I logged in the nm-applet was again missing from the panel.
Comment 10 Dan Williams 2010-01-16 14:41:18 EST
What version of selinux-policy do people have?  You should have at least 3.6.12-92  or later.  You can also try (as root):

touch /.autorelabel
reboot

to ensure that everything is correctly labeled for SELinux, but that's rarely necessary.  When you get that error launching nm-applet manually, does it go away if you run 'setenforce 0' as root?
Comment 11 Bruno Kant 2010-01-16 16:20:12 EST
I've currently selinux-policy 3.6.32-66.fc12. Some 6 days ago, may be with a little bit earlyer policy file, after a "yum update", I made an attempt to restart selinux (with enforced mode, this relabelled my drive at boot time), but then, my nm-applet disappeared again.

Currently, I am still running without selinux, this service being disabled.
Comment 12 Eric Tanguy 2010-01-16 16:25:44 EST
selinux-policy-3.6.32-66.fc12.noarch
(In reply to comment #10)
> What version of selinux-policy do people have?  You should have at least
> 3.6.12-92  or later.  

selinux-policy-3.6.32-66.fc12.noarch

You can also try (as root):
> 
> touch /.autorelabel
> reboot

Nothing better

> 
> to ensure that everything is correctly labeled for SELinux, but that's rarely
> necessary.  When you get that error launching nm-applet manually, does it go
> away if you run 'setenforce 0' as root?    

This is the same
Comment 13 Bruno Kant 2010-01-16 16:44:24 EST
I just reactivated selinux with 3.6.32-66.fc12 and rebooted that box.
Relabelling occured at boot time. It took some 3 to 5 minutes, then the system
rebooted and I logged in to gnome. Bluetooth applet was there, but disabled.
nm-applet wasn't on the pannel.

I oppened a shell, as a user, and tried to start nm-applet. It returned error 
(9) Connection "1.64" is not allowed to own the service
"org.freedesktop.NetworkManagerUserSettings" due to security policies in the
configuration file.

There are several dbus messages in /var/log/messages related to
policies/security, for bluetooth and sound, but none about nm-applet.

I had a look into selinux policies, from gnome GUI. Under process domain,
NetworkManager was set to permissive, system default being set to default
enforcing. As a non root user, I canot start the nm-applet for either
NetworkManager set to permissive or enforced mode.

As root, with selinux being active, from a shell, I can start the nm-applet.

So I notice no changes with those latest 3.6.32-66.fc12 selinux-policy
definitions.
Comment 14 Armands Liepins 2010-02-06 18:05:31 EST
I suspect freenx-server is responsible for this bug. See bug 499183. There is a patch at the end.
Comment 15 Bruno Kant 2010-02-06 18:42:18 EST
Armands Liepins wrote "I suspect freenx-server is ..."

Two our ago, I updated my FC12 and I still had the same issue. I made my test reactivating SELinux (with relabelling at boot time). I still lost my nm-applet and bluetooth was disabled. I disabled again SELInux to recorver the nm-applet.

Then I applied that freenx-server patch, a line to add to /etc/rc.d/init.d/freenx-server.

I reactivated SELinux, it relabelled again at boot time. Now I have my nm-applet and a correct behaviour.
Comment 16 Ahmed Fasih 2010-02-06 20:44:07 EST
Confirmed: applied patch to /etc/init.d/freenx-server given in bug 499183 (one line added), rebooted, nm-applet back to normal. Extraordinary.
Comment 17 Eric Tanguy 2010-02-07 02:48:23 EST
Same here. Problem solved.
Comment 18 Vaclav "sHINOBI" Misek 2010-02-08 15:47:20 EST
Confirmed as well
Comment 19 Dan Williams 2010-02-08 19:33:03 EST

*** This bug has been marked as a duplicate of bug 499183 ***
Comment 20 Xtian Simon 2010-02-11 02:10:43 EST
Guess I'm out of luck on this bug. I've isolated the problem to SELinux off and nm-applet only appears when connected to ethernet LAN.

Note You need to log in before you can comment on or make changes to this bug.